
nav {
    width: 50px;
    background: darkmagenta;
    position: fixed;
    top: 0px;
    left: 0px;
    bottom: 0px;
    transition: 0.5s;
    opacity: 0.95;
    overflow: hidden;
}

#navButton {
    background: white;
    width: 40px;
    height: 40px;
    border-radius: 3px;
    margin-top: 5px;
    margin-left: 5px;
    cursor: pointer;
}

#navContent {
    background: white;
    width: 80%;
    height: 80%;
    margin-left: 70px;
    border-radius: 5px;
    padding: 20px;
}

#navContent div {
    background: lightgoldenrodyellow;
    margin: 20px;
    padding: 10px;
    font-family: Arial;
}

#navContent div:hover {
    background: lightgreen;
    cursor: pointer;
}